## org.eclipse.emf.edit.ui.provider
Class PropertyDescriptor.EDataTypeValueHandler

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.PropertyDescriptor.EDataTypeValueHandler

All Implemented Interfaces:
  IInputValidator, ICellEditorValidator

Enclosing class:
  PropertyDescriptor

    protected static class PropertyDescriptor.EDataTypeValueHandler

extends java.lang.Object
implements ICellEditorValidator, IInputValidator

A delegate for handling validation and conversion for data type values.

Field Summary
`protected EDataType` `eDataType`

Constructor Summary
`PropertyDescriptor.EDataTypeValueHandler(EDataType eDataType)`

Method Summary
`java.lang.String` `isValid(java.lang.Object object)`
`java.lang.String` `isValid(java.lang.String text)`
`java.lang.String` `toString(java.lang.Object value)`
`java.lang.Object` `toValue(java.lang.String string)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eDataType

    protected EDataType eDataType

Constructor Detail

### PropertyDescriptor.EDataTypeValueHandler

    public PropertyDescriptor.EDataTypeValueHandler(EDataType eDataType)

Method Detail

### isValid

    public java.lang.String isValid(java.lang.Object object)

  Specified by:
    `isValid` in interface `ICellEditorValidator`

### isValid

    public java.lang.String isValid(java.lang.String text)

  Specified by:
    `isValid` in interface `IInputValidator`

### toValue

    public java.lang.Object toValue(java.lang.String string)

### toString

    public java.lang.String toString(java.lang.Object value)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.